package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.Region;

import java.util.List;

/**
 * 地区信息Service接口
 * 
 * @author ruoyi
 * @date 2025-08-23
 */
public interface IRegionService 
{
    /**
     * 查询地区信息
     * 
     * @param code 地区信息主键
     * @return 地区信息
     */
    public Region selectRegionByCode(String code);

    /**
     * 查询地区信息列表
     * 
     * @param region 地区信息
     * @return 地区信息集合
     */
    public List<Region> selectRegionList(Region region);

    /**
     * 新增地区信息
     * 
     * @param region 地区信息
     * @return 结果
     */
    public int insertRegion(Region region);

    /**
     * 修改地区信息
     * 
     * @param region 地区信息
     * @return 结果
     */
    public int updateRegion(Region region);

    /**
     * 批量删除地区信息
     * 
     * @param codes 需要删除的地区信息主键集合
     * @return 结果
     */
    public int deleteRegionByCodes(String[] codes);

    /**
     * 删除地区信息信息
     * 
     * @param code 地区信息主键
     * @return 结果
     */
    public int deleteRegionByCode(String code);

    int batchInsert(List<Region> regionList);
}
